{%- macro render_result_abuse(whois_result) %}
                    <div class="panel panel-default">
                        <ul class="list-group">
            {%- for item in whois_result | reverse %}
                            <li class="list-group-item">
                                <p class="lead">
                                    <em>{% if 'netname' in item %}{{ item['netname'] }}: {% endif %}{{ item['network'] }}</em>
                                </p>
                                <p>
                                    {{ _('Target abuse contacts') }}: <strong>{{ item['resolved_abuses'] | join(', ') }}</strong>
                                </p>
                                {% if 'description' in item %}
                                <p>
                                    {{ _('Description') }}: {{ item['description'] }}
                                </p>
                                {% endif %}
                                <p>
                                    {{ _('Source') }}: <span class="label label-default">{{ item['source'] }}</span>
                                </p>
                            </li>
            {%- endfor %}
                        </ul>
                    </div>
{%- endmacro %}
